<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/SampleApp/include/SampleApp/GuiRenderer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_69fa8d0f4fee2820ffc8601fbf428b42.html">SampleApp</a></li><li class="navelem"><a class="el" href="dir_db613c36c14f3946188c6043fb421073.html">include</a></li><li class="navelem"><a class="el" href="dir_830f5381c57e8a6474fdf7a7193759cc.html">SampleApp</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GuiRenderer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_gui_renderer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_GUIRENDERER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_GUIRENDERER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_template_runtime_observer_interface_8h.html">AVSCommon/SDKInterfaces/TemplateRuntimeObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;map&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>sampleApp {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html">   36</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html">GuiRenderer</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html">avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#ac1096b8afe9596184a2e040b4d6d903e">GuiRenderer</a>();</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aea438e06ee5a196dc2e056c8ac87670c">renderTemplateCard</a>(<span class="keyword">const</span> std::string&amp; jsonPayload, <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState) <span class="keyword">override</span>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aa9fe17ea7559283e44d4fa2b56ea3028">clearTemplateCard</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7932b156649d82a7715458f43557a0c0">renderPlayerInfoCard</a>(</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keyword">const</span> std::string&amp; jsonPayload,</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface_1_1_audio_player_info.html">TemplateRuntimeObserverInterface::AudioPlayerInfo</a> info,</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">avsCommon::avs::FocusState</a> focusState) <span class="keyword">override</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a304ed998fe2aee20403792cc20d2b88d">clearPlayerInfoCard</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a85ba2dee38182b0e7256b5b0820d013d">getGuiToggleState</a>(<span class="keyword">const</span> std::string&amp; toggleName);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7cd2a8aff5a2ebbf81f73cf56aa4a12f">   58</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7cd2a8aff5a2ebbf81f73cf56aa4a12f">TOGGLE_ACTION_SELECTED</a>;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a28b0c0eb254d4f1eb15a042fbfed2aa4">   60</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a28b0c0eb254d4f1eb15a042fbfed2aa4">TOGGLE_ACTION_DESELECTED</a>;</div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a455baf60f6ceee22d48bcfd370fb0f7b">   62</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a455baf60f6ceee22d48bcfd370fb0f7b">TOGGLE_NAME_SHUFFLE</a>;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a128eee8b335b3068d0761f506fe7cf28">   64</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a128eee8b335b3068d0761f506fe7cf28">TOGGLE_NAME_LOOP</a>;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#abfcbd4861e56642ff506ec18b0709d11">   66</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#abfcbd4861e56642ff506ec18b0709d11">TOGGLE_NAME_REPEAT</a>;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a9c017d08c9e0497b6f69cdb92ee27dbc">   68</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a9c017d08c9e0497b6f69cdb92ee27dbc">TOGGLE_NAME_THUMBSUP</a>;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a5969918d03eee8ff30a4b4bb45e85c59">   70</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a5969918d03eee8ff30a4b4bb45e85c59">TOGGLE_NAME_THUMBSDOWN</a>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="comment">// Last known toggle states</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    std::map&lt;std::string, bool&gt; m_guiToggleStateMap;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;};</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}  <span class="comment">// namespace sampleApp</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SAMPLEAPP_INCLUDE_SAMPLEAPP_GUIRENDERER_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface_1_1_audio_player_info_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface_1_1_audio_player_info.html">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface::AudioPlayerInfo</a></div><div class="ttdef"><b>Definition:</b> TemplateRuntimeObserverInterface.h:40</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_ac1096b8afe9596184a2e040b4d6d903e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#ac1096b8afe9596184a2e040b4d6d903e">alexaClientSDK::sampleApp::GuiRenderer::GuiRenderer</a></div><div class="ttdeci">GuiRenderer()</div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:94</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a28b0c0eb254d4f1eb15a042fbfed2aa4"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a28b0c0eb254d4f1eb15a042fbfed2aa4">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_ACTION_DESELECTED</a></div><div class="ttdeci">static const std::string TOGGLE_ACTION_DESELECTED</div><div class="ttdoc">String to identify the AVS action DESELECTED string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:60</div></div>
<div class="ttc" id="_template_runtime_observer_interface_8h_html"><div class="ttname"><a href="_template_runtime_observer_interface_8h.html">TemplateRuntimeObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_aa9fe17ea7559283e44d4fa2b56ea3028"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aa9fe17ea7559283e44d4fa2b56ea3028">alexaClientSDK::sampleApp::GuiRenderer::clearTemplateCard</a></div><div class="ttdeci">void clearTemplateCard() override</div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:160</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a128eee8b335b3068d0761f506fe7cf28"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a128eee8b335b3068d0761f506fe7cf28">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_NAME_LOOP</a></div><div class="ttdeci">static const std::string TOGGLE_NAME_LOOP</div><div class="ttdoc">String to identify the AVS name LOOP string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:64</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a304ed998fe2aee20403792cc20d2b88d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a304ed998fe2aee20403792cc20d2b88d">alexaClientSDK::sampleApp::GuiRenderer::clearPlayerInfoCard</a></div><div class="ttdeci">void clearPlayerInfoCard() override</div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:238</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_html_a066217aef6bc1e0e18dd3a13f467d275"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">alexaClientSDK::avsCommon::avs::FocusState</a></div><div class="ttdeci">FocusState</div><div class="ttdef"><b>Definition:</b> FocusState.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_template_runtime_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::TemplateRuntimeObserverInterface</a></div><div class="ttdef"><b>Definition:</b> TemplateRuntimeObserverInterface.h:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a5969918d03eee8ff30a4b4bb45e85c59"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a5969918d03eee8ff30a4b4bb45e85c59">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_NAME_THUMBSDOWN</a></div><div class="ttdeci">static const std::string TOGGLE_NAME_THUMBSDOWN</div><div class="ttdoc">String to identify the AVS name THUMBS_DOWN string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:70</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a7932b156649d82a7715458f43557a0c0"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7932b156649d82a7715458f43557a0c0">alexaClientSDK::sampleApp::GuiRenderer::renderPlayerInfoCard</a></div><div class="ttdeci">void renderPlayerInfoCard(const std::string &amp;jsonPayload, TemplateRuntimeObserverInterface::AudioPlayerInfo info, avsCommon::avs::FocusState focusState) override</div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:164</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a455baf60f6ceee22d48bcfd370fb0f7b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a455baf60f6ceee22d48bcfd370fb0f7b">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_NAME_SHUFFLE</a></div><div class="ttdeci">static const std::string TOGGLE_NAME_SHUFFLE</div><div class="ttdoc">String to identify the AVS name SHUFFLE string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:62</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html">alexaClientSDK::sampleApp::GuiRenderer</a></div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a7cd2a8aff5a2ebbf81f73cf56aa4a12f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a7cd2a8aff5a2ebbf81f73cf56aa4a12f">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_ACTION_SELECTED</a></div><div class="ttdeci">static const std::string TOGGLE_ACTION_SELECTED</div><div class="ttdoc">String to identify the AVS action SELECTED string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:58</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a85ba2dee38182b0e7256b5b0820d013d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a85ba2dee38182b0e7256b5b0820d013d">alexaClientSDK::sampleApp::GuiRenderer::getGuiToggleState</a></div><div class="ttdeci">bool getGuiToggleState(const std::string &amp;toggleName)</div><div class="ttdoc">returns the PlayerInfo toggle state </div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:242</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_abfcbd4861e56642ff506ec18b0709d11"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#abfcbd4861e56642ff506ec18b0709d11">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_NAME_REPEAT</a></div><div class="ttdeci">static const std::string TOGGLE_NAME_REPEAT</div><div class="ttdoc">String to identify the AVS name REPEAT string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:66</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_aea438e06ee5a196dc2e056c8ac87670c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#aea438e06ee5a196dc2e056c8ac87670c">alexaClientSDK::sampleApp::GuiRenderer::renderTemplateCard</a></div><div class="ttdeci">void renderTemplateCard(const std::string &amp;jsonPayload, avsCommon::avs::FocusState focusState) override</div><div class="ttdef"><b>Definition:</b> GuiRenderer.cpp:117</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer_html_a9c017d08c9e0497b6f69cdb92ee27dbc"><div class="ttname"><a href="classalexa_client_s_d_k_1_1sample_app_1_1_gui_renderer.html#a9c017d08c9e0497b6f69cdb92ee27dbc">alexaClientSDK::sampleApp::GuiRenderer::TOGGLE_NAME_THUMBSUP</a></div><div class="ttdeci">static const std::string TOGGLE_NAME_THUMBSUP</div><div class="ttdoc">String to identify the AVS name THUMBS_UP string. </div><div class="ttdef"><b>Definition:</b> GuiRenderer.h:68</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
